status_management

package
v0.0.0-...-33e56a9 Latest Latest
Warning

This package is not in the latest version of its module.

Go to latest
Published: Jun 24, 2025 License: Apache-2.0 Imports: 11 Imported by: 0

Documentation

Index

Constants

View Source
const GetStatusNotFoundCode int = 404

GetStatusNotFoundCode is the HTTP code returned for type GetStatusNotFound

View Source
const GetStatusOKCode int = 200

GetStatusOKCode is the HTTP code returned for type GetStatusOK

View Source
const ShowStatusInternalServerErrorCode int = 500

ShowStatusInternalServerErrorCode is the HTTP code returned for type ShowStatusInternalServerError

View Source
const ShowStatusOKCode int = 200

ShowStatusOKCode is the HTTP code returned for type ShowStatusOK

Variables

This section is empty.

Functions

This section is empty.

Types

type GetStatus

type GetStatus struct {
	Context *middleware.Context
	Handler GetStatusHandler
}

GetStatus swagger:route GET /status/{id} statusManagement getStatus

Basic status of the system

func NewGetStatus

func NewGetStatus(ctx *middleware.Context, handler GetStatusHandler) *GetStatus

NewGetStatus creates a new http.Handler for the get status operation

func (*GetStatus) ServeHTTP

func (o *GetStatus) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type GetStatusHandler

type GetStatusHandler interface {
	Handle(GetStatusParams, interface{}) middleware.Responder
}

GetStatusHandler interface for that can handle valid get status params

type GetStatusHandlerFunc

type GetStatusHandlerFunc func(GetStatusParams, interface{}) middleware.Responder

GetStatusHandlerFunc turns a function with the right signature into a get status handler

func (GetStatusHandlerFunc) Handle

func (fn GetStatusHandlerFunc) Handle(params GetStatusParams, principal interface{}) middleware.Responder

Handle executing the request and returning a response

type GetStatusNotFound

type GetStatusNotFound struct {

	/*
	  In: Body
	*/
	Payload *models.ErrorResponse `json:"body,omitempty"`
}

GetStatusNotFound The endpoint provided doesn't exist

swagger:response getStatusNotFound

func NewGetStatusNotFound

func NewGetStatusNotFound() *GetStatusNotFound

NewGetStatusNotFound creates GetStatusNotFound with default headers values

func (*GetStatusNotFound) SetPayload

func (o *GetStatusNotFound) SetPayload(payload *models.ErrorResponse)

SetPayload sets the payload to the get status not found response

func (*GetStatusNotFound) WithPayload

func (o *GetStatusNotFound) WithPayload(payload *models.ErrorResponse) *GetStatusNotFound

WithPayload adds the payload to the get status not found response

func (*GetStatusNotFound) WriteResponse

func (o *GetStatusNotFound) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetStatusOK

type GetStatusOK struct {

	/*
	  In: Body
	*/
	Payload *models.Status `json:"body,omitempty"`
}

GetStatusOK Status information of the system

swagger:response getStatusOK

func NewGetStatusOK

func NewGetStatusOK() *GetStatusOK

NewGetStatusOK creates GetStatusOK with default headers values

func (*GetStatusOK) SetPayload

func (o *GetStatusOK) SetPayload(payload *models.Status)

SetPayload sets the payload to the get status o k response

func (*GetStatusOK) WithPayload

func (o *GetStatusOK) WithPayload(payload *models.Status) *GetStatusOK

WithPayload adds the payload to the get status o k response

func (*GetStatusOK) WriteResponse

func (o *GetStatusOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetStatusParams

type GetStatusParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request `json:"-"`

	/*Id of the endpoint to be checked
	  Required: true
	  In: path
	*/
	ID string
}

GetStatusParams contains all the bound params for the get status operation typically these are obtained from a http.Request

swagger:parameters getStatus

func NewGetStatusParams

func NewGetStatusParams() GetStatusParams

NewGetStatusParams creates a new GetStatusParams object no default values defined in spec.

func (*GetStatusParams) BindRequest

func (o *GetStatusParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.

To ensure default values, the struct must have been initialized with NewGetStatusParams() beforehand.

type GetStatusURL

type GetStatusURL struct {
	ID string
	// contains filtered or unexported fields
}

GetStatusURL generates an URL for the get status operation

func (*GetStatusURL) Build

func (o *GetStatusURL) Build() (*url.URL, error)

Build a url path and query string

func (*GetStatusURL) BuildFull

func (o *GetStatusURL) BuildFull(scheme, host string) (*url.URL, error)

BuildFull builds a full url with scheme, host, path and query string

func (*GetStatusURL) Must

func (o *GetStatusURL) Must(u *url.URL, err error) *url.URL

Must is a helper function to panic when the url builder returns an error

func (*GetStatusURL) SetBasePath

func (o *GetStatusURL) SetBasePath(bp string)

SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

func (*GetStatusURL) String

func (o *GetStatusURL) String() string

String returns the string representation of the path with query string

func (*GetStatusURL) StringFull

func (o *GetStatusURL) StringFull(scheme, host string) string

StringFull returns the string representation of a complete url

func (*GetStatusURL) WithBasePath

func (o *GetStatusURL) WithBasePath(bp string) *GetStatusURL

WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

type ShowStatus

type ShowStatus struct {
	Context *middleware.Context
	Handler ShowStatusHandler
}

ShowStatus swagger:route GET /status statusManagement showStatus

Basic status of the system

func NewShowStatus

func NewShowStatus(ctx *middleware.Context, handler ShowStatusHandler) *ShowStatus

NewShowStatus creates a new http.Handler for the show status operation

func (*ShowStatus) ServeHTTP

func (o *ShowStatus) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type ShowStatusHandler

type ShowStatusHandler interface {
	Handle(ShowStatusParams, interface{}) middleware.Responder
}

ShowStatusHandler interface for that can handle valid show status params

type ShowStatusHandlerFunc

type ShowStatusHandlerFunc func(ShowStatusParams, interface{}) middleware.Responder

ShowStatusHandlerFunc turns a function with the right signature into a show status handler

func (ShowStatusHandlerFunc) Handle

func (fn ShowStatusHandlerFunc) Handle(params ShowStatusParams, principal interface{}) middleware.Responder

Handle executing the request and returning a response

type ShowStatusInternalServerError

type ShowStatusInternalServerError struct {

	/*
	  In: Body
	*/
	Payload *models.ErrorResponse `json:"body,omitempty"`
}

ShowStatusInternalServerError Something unexpected happend, error raised

swagger:response showStatusInternalServerError

func NewShowStatusInternalServerError

func NewShowStatusInternalServerError() *ShowStatusInternalServerError

NewShowStatusInternalServerError creates ShowStatusInternalServerError with default headers values

func (*ShowStatusInternalServerError) SetPayload

func (o *ShowStatusInternalServerError) SetPayload(payload *models.ErrorResponse)

SetPayload sets the payload to the show status internal server error response

func (*ShowStatusInternalServerError) WithPayload

WithPayload adds the payload to the show status internal server error response

func (*ShowStatusInternalServerError) WriteResponse

func (o *ShowStatusInternalServerError) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type ShowStatusOK

type ShowStatusOK struct {

	/*
	  In: Body
	*/
	Payload *models.Status `json:"body,omitempty"`
}

ShowStatusOK Status information of the system

swagger:response showStatusOK

func NewShowStatusOK

func NewShowStatusOK() *ShowStatusOK

NewShowStatusOK creates ShowStatusOK with default headers values

func (*ShowStatusOK) SetPayload

func (o *ShowStatusOK) SetPayload(payload *models.Status)

SetPayload sets the payload to the show status o k response

func (*ShowStatusOK) WithPayload

func (o *ShowStatusOK) WithPayload(payload *models.Status) *ShowStatusOK

WithPayload adds the payload to the show status o k response

func (*ShowStatusOK) WriteResponse

func (o *ShowStatusOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type ShowStatusParams

type ShowStatusParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request `json:"-"`
}

ShowStatusParams contains all the bound params for the show status operation typically these are obtained from a http.Request

swagger:parameters showStatus

func NewShowStatusParams

func NewShowStatusParams() ShowStatusParams

NewShowStatusParams creates a new ShowStatusParams object no default values defined in spec.

func (*ShowStatusParams) BindRequest

func (o *ShowStatusParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.

To ensure default values, the struct must have been initialized with NewShowStatusParams() beforehand.

type ShowStatusURL

type ShowStatusURL struct {
	// contains filtered or unexported fields
}

ShowStatusURL generates an URL for the show status operation

func (*ShowStatusURL) Build

func (o *ShowStatusURL) Build() (*url.URL, error)

Build a url path and query string

func (*ShowStatusURL) BuildFull

func (o *ShowStatusURL) BuildFull(scheme, host string) (*url.URL, error)

BuildFull builds a full url with scheme, host, path and query string

func (*ShowStatusURL) Must

func (o *ShowStatusURL) Must(u *url.URL, err error) *url.URL

Must is a helper function to panic when the url builder returns an error

func (*ShowStatusURL) SetBasePath

func (o *ShowStatusURL) SetBasePath(bp string)

SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

func (*ShowStatusURL) String

func (o *ShowStatusURL) String() string

String returns the string representation of the path with query string

func (*ShowStatusURL) StringFull

func (o *ShowStatusURL) StringFull(scheme, host string) string

StringFull returns the string representation of a complete url

func (*ShowStatusURL) WithBasePath

func (o *ShowStatusURL) WithBasePath(bp string) *ShowStatusURL

WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

Jump to

Keyboard shortcuts

? : This menu
/ : Search site
f or F : Jump to
y or Y : Canonical URL